INTERFACE
SUBROUTINE ACDRME ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PCP,PDELP,PT,PQ,PU,PV,&
 & PFRMH,PFRMQ,PSTRMU,PSTRMV,&
 & PMESOT,PMESOQ,PMESOU,PSTAT,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFRMQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRMV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMESOT(KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMESOQ(KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PMESOU(KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSTAT(KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACDRME
END INTERFACE
